<script>
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  import Controls from "./_ex_3_controls.svelte";
  import Scatterplot from "./_ex_3_scatterplot.svelte";

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/gapminder.json");
  });

  let current_year = 0;
  let current_continent = "all";

  function extract_data(data, current_continent){
    if (current_continent!="all"){
      // alert(current_continent);
      return data.filter(datum => datum.continent == current_continent);
    }
    else{
      return data;
    }
  }

  
</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <div>
    <Scatterplot data={extract_data(data[current_year]["countries"], current_continent)} />
    <Controls bind:current_year={current_year} bind:current_continent={current_continent}/>
  </div>
{/if}
